### Method

# Ggit IndexEntry ref

#### Declaration [src]

    GgitIndexEntry*
    ggit_index_entry_ref (
      GgitIndexEntry* entry
    )

#### Description [src]

Atomically increments the reference count of `entry` by one. This function is MT-safe and may be called from any thread.

#### Return value

Type: `GgitIndexEntry`

A `GgitIndexEntry` or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.